Subject: RE: Relay Draft Issues Summary (#1 design goal of draft)

From: "Reinaldo Penno" <[email-masked]>
Date: Thu, 30 Aug 2001 20:12:45 -0700

This is in line with what I sent the previous email. 

Let's forget about the Relay draft for a moment and focus on the problem we
are trying to solve: The problem is PPPoE Service Selection over L2TP. I
propose something like this: 

---------------------------------------------------------------------------

1) Problem Statment: PPPoE Service Selection over L2TP

2) Why we need this protocol? What are the drivers for this solution?

3) Proposed solution: In order to accomplish that we need to make the
Service Selection options on the AC available to the clients connected to
the LAC.

4) There are three method of doing this.

4.1 Relay
4.2 Proxy
4.3 Relay and Proxy (not relay versus proxy). You can for instance Relay on
the LAC and proxy on the TSA (Tunnel Switching Aggregator)

5) Discussion of each of the solutions given the following constraints

5.1 Operation of ACs beyond the LNS
5.2 Operation across multiple LNSs with inhomogeneous services 
5.3 Scaling wrt lots of LNS, etc.
5.4 Load distribution
5.5 Operation under tunnel switching

6) Conclusion

7) Auhtor's Address, Full Copyright Statement, etc

----------------------------------------------------------------------------
-----------

The proposed work could be divided in one or more drafts: A framework draft
that discusses the possible solutions and specific drafts about each
solution.

What you guys think? 

regards,

Reinaldo

> -----Original Message-----
> From: Mistretta, Tom [mailto:[email-masked]]
> Sent: Thursday, August 30, 2001 7:05 PM
> To: 'Ron da Silva '; [email-masked] '
> Subject: RE: Relay Draft Issues Summary (#1 design goal of draft)
> 
> 
> Ron,
> 
> Is it possible to address this in terms of the target application?  My
> impression of the problem always has been that services 
> defined at or beyond
> the LNS need a way to be visible to hosts that are connected to a LAC.
> 
> Thanks,
> 
> Tom
> 
> -----Original Message-----
> From: Ron da Silva
> To: [email-masked]
> Sent: 8/30/2001 3:06 PM
> Subject: Re: Relay Draft Issues Summary (#1 design goal of draft)
> 
> > 1) Clarify design goal of draft
> 
> This is simple.  Provide a mechnism to perform PPPoE service 
> selection
> somewhere remote from the LAC.  Specifically (since this is under the
> guise of the L2TP WG) provide a mechanism that can leverage any
> pre-existing L2TP topology and specific the interface between PPPoE
> service selection and L2TP.  (Other remote service selection methods
> may be developed outside of L2TP, but they are not in the 
> scope of this
> draft.)
> 
> -ron
>

---

From: Ron da Silva <[email-masked]>
Date: Fri, 31 Aug 2001 09:02:37 -0400

Reinaldo,

On Thu, Aug 30, 2001 at 08:12:45PM -0700, Reinaldo Penno wrote:
> ...I propose something like this: 
> 
> ...The proposed work could be divided in one or more drafts: A framework draft
> solution.  What you guys think? 

This sounds reasonable.  I think we have been saying that other options are
available and that could be defined.  The framework draft would give a
nice reference of these options (of which the relay draft would be one of
several - assuming someone is interested enough to draft the others).

One question for the framework is should it be more generic to discuss
relay and proxy over general L3 networks (using something other than L2TP)
- which would place it outside the L2TP WG, I suppose ??

-ron